> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.twelvelabs.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.twelvelabs.io/_mcp/server.

# List video indexing tasks

GET https://api.twelvelabs.io/v1.3/tasks

This method will be removed in a future version.This method returns a list of the video indexing tasks in your account. The platform returns your video indexing tasks sorted by creation date, with the newest at the top of the list.

Reference: https://docs.twelvelabs.io/api-reference/videos/tasks/list

## Authentication

- `x-api-key` header (required) — Your API key. You can find your API key on the API Keys page.

## Request

### Query parameters

- `page` (integer, optional, default: 1) — A number that identifies the page to retrieve. **Default**: `1`.
- `page_limit` (integer, optional, default: 10) — The number of items to return on each page. **Default**: `10`. **Max**: `50`.
- `sort_by` (string, optional, default: created_at) — The field to sort on. The following options are available: - `updated_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was updated. - `created_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was created. **Default**: `created_at`.
- `sort_option` (string, optional, default: desc) — The sorting direction. The following options are available: - `asc` - `desc` **Default**: `desc`.
- `index_id` (string, optional) — Filter by the unique identifier of an index.
- `status` (list of enum, optional) — Filter by one or more video indexing task statuses. The following options are available: - `ready`: The video has been successfully uploaded and indexed. - `uploading`: The video is being uploaded. - `validating`: The video is being validated against the prerequisites. - `pending`: The video is pending. - `queued`: The video is queued. - `indexing`: The video is being indexed. - `failed`: The video indexing task failed. To filter by multiple statuses, specify the `status` parameter for each value: ``` status=ready&status=validating ```
  - Allowed values: `ready`, `uploading`, `validating`, `pending`, `queued`, `indexing`, `failed`
- `filename` (string, optional) — Filter by filename.
- `duration` (double, optional) — Filter by duration. Expressed in seconds.
- `width` (integer, optional) — Filter by width.
- `height` (integer, optional) — Filter by height.
- `created_at` (string, optional) — Filter video indexing tasks by the creation date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the video indexing tasks that were created on the specified date at or after the given time.
- `updated_at` (string, optional) — Filter video indexing tasks by the last update date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the video indexing tasks that were updated on the specified date at or after the given time.

## Response

### 200

The video indexing tasks have successfully been retrieved.

- `data` (list of videoIndexingTask, optional) — An array that contains up to `page_limit` tasks.
- `page_info` (TasksGetResponsesContentApplicationJsonSchemaPageInfo, optional) — An object that provides information about pagination.

## Errors

### 400 Bad Request Error

The request has failed.

- `code` (string, optional) — A string representing the code associated with the error. See the [Error codes](/v1.3/api-reference/error-codes) page for details.
- `message` (string, optional) — A human-readable string describing the error, intended to be suitable for display in a user interface.

## Types

### videoIndexingTask

A video indexing task that describes the status of the task and the metadata about the video.

- `_id` (string, optional) — A string representing the unique identifier of the task. It is assigned by the platform when a new task is created.
- `video_id` (string, optional) — A string representing the unique identifier of the video associated with the specified video indexing task.
- `created_at` (string, optional) — A string indicating the date and time, in the RFC RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), that the task was created.
- `updated_at` (string, optional) — A string indicating the date and time, in the RFC RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), that the task object was last updated. The platform updates this field every time the video indexing task transitions to a different state.
- `status` (string, optional) — A string indicating the status of the video indexing task. See the [Task object](/v1.3/api-reference/upload-content/tasks/the-task-object) page for a list of possible statuses.
- `index_id` (string, optional) — A string representing the unique identifier of the index to which the video must be uploaded.
- `system_metadata` (VideoIndexingTaskSystemMetadata, optional) — System-generated metadata about the video.

### TasksGetResponsesContentApplicationJsonSchemaPageInfo

An object that provides information about pagination.

- `limit_per_page` (integer, optional) — The maximum number of items on each page.
- `page` (integer, optional) — The page you retrieved.
- `total_page` (integer, optional) — The total number of pages.
- `total_results` (integer, optional) — The total number of results.

### VideoIndexingTaskSystemMetadata

System-generated metadata about the video.

- `duration` (double, optional)
- `filename` (string, optional)
- `height` (integer, optional)
- `width` (integer, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "_id": "62a17bf847f5678267ec10cc",
      "created_at": "2022-06-09T04:50:00.879Z",
      "updated_at": "2022-06-09T04:55:57.256Z",
      "status": "ready",
      "index_id": "62a0906d47f5678267ec10a6",
      "metadata": {
        "duration": 531.998133,
        "filename": "01.mp4",
        "height": 400,
        "width": 854
      }
    },
    {
      "_id": "62a17bce47f5678267ec10c6",
      "created_at": "2022-06-09T04:49:20.001Z",
      "updated_at": "2022-06-09T04:54:10.345Z",
      "status": "ready",
      "index_id": "62a0906d47f5678267ec10a6",
      "metadata": {
        "duration": 741.875,
        "filename": "02.mp4",
        "height": 480,
        "width": 854
      }
    }
  ],
  "page_info": {
    "limit_per_page": 10,
    "page": 1,
    "total_page": 1,
    "total_results": 2
  }
}
```

**SDK Code**

```python tasks_list_example
import requests

url = "https://api.twelvelabs.io/v1.3/tasks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript tasks_list_example
const url = 'https://api.twelvelabs.io/v1.3/tasks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go tasks_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.twelvelabs.io/v1.3/tasks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby tasks_list_example
require 'uri'
require 'net/http'

url = URI("https://api.twelvelabs.io/v1.3/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java tasks_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.twelvelabs.io/v1.3/tasks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php tasks_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.twelvelabs.io/v1.3/tasks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp tasks_list_example
using RestSharp;

var client = new RestClient("https://api.twelvelabs.io/v1.3/tasks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift tasks_list_example
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.twelvelabs.io/v1.3/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```